Subject: Re: gitweb stops working sometimes

From: Jakub Narebski <[email-masked]>
Date: Mon, 10 Aug 2009 01:58:21 -0700 (PDT)

Erez Zilber <[email-masked]> writes:

> I'm running gitweb on a centos 5.3 server and it works well 99% of the
> time. Sometimes, I see the following behavior:
> 1. I'm able to load the page that shows all git trees.
> 2. When I click on one of the links that should show a specific tree,
> it opens a page with the following text: "<div
> class="title">&nbsp;</div>
> "
> 
> If I restart httpd, it doesn't help. The only solution that I found so
> far is to reboot the server and then everything works. However,
> rebooting the server is a bad solution.
> 
> Any idea?

No idea what might be the cause of that.

1. Do you run gitweb as CGI script, or as mod_perl 
   (ModPerl::Registry) script?
2. Which version of git you are using?
3. Which version of gitweb you are using?

All of this info can be found in "generator" meta header on pages
generated by (modern) gitweb.

-- 
Jakub Narebski
Poland
ShadeHawk on #git